#ifndef __GLOB_SEARCH_H__
#define __GLOB_SEARCH_H__

#include <gio/gio.h>

G_BEGIN_DECLS

#define GLOB_TYPE_SEARCH glob_search_get_type ()
G_DECLARE_FINAL_TYPE (GlobSearch, glob_search, GLOB, SEARCH, GObject)

GlobSearch  * glob_search_dup                (void);

void          glob_search_get_matches_async  (GlobSearch          *search,
                                              const gchar         *glob,
                                              GCancellable        *cancellable,
                                              GAsyncReadyCallback  callback,
                                              gpointer             user_data);
GListModel *  glob_search_get_matches_finish (GlobSearch          *search,
                                              GAsyncResult        *res,
                                              GError             **err);

G_END_DECLS

#endif /* __GLOB_SEARCH_H__ */
